# renbin

Split files into chunks and then save them on rentry.co as encrypted, compressed, base64 strings.

## Usage

Split and save file:

```
renbin -i ./path/to/file.ext -e rentry
```

Restore file from remote:

```
renbin -i ./path/to/file.ext.toml -e rentry -d
```

Delete file and all chunk off remote:

```
renbin -i ./path/to/file.ext.toml -e rentry -x
```

Store entire directory as ledger:

```
renbin -i ./ -r -s target -s .git -n dir_name -e rentry
```

Note that `-s` (`--skip`) is used to ignore directories/files. Any file matching the names given through skip will be ignored.

The `-n` (`--name`) flag is required to give a name to the ledger.

Restore from ledger:

```
renbin -i ./dir_name.toml -r -e rentry -d
```

### Local

You can also store files locally using `-e fs` (`--engine fs`). This mode is generally **_much_** quicker. This is the mode that will be used by default if no engine flag is provided.

Local files are split into chunks of exactly 200 KB, while the rentry engine splits files into chunks of 150 KB. While larger chunks _could_ be used, that's not as fun.

```

```
